> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# webflow-content

> Webflow Content - pages, components, custom code, assets, and forms

**Server path:** `/webflow-content` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                | Description                            |
| --------------------------------------------------------------------------------------------------- | -------------------------------------- |
| [`webflow_content_add_custom_code_to_page`](#webflow_content_add_custom_code_to_page)               | Add or update custom code on a page    |
| [`webflow_content_add_custom_code_tosite`](#webflow_content_add_custom_code_tosite)                 | Add or update custom code on a site    |
| [`webflow_content_create_asset`](#webflow_content_create_asset)                                     | Upload Asset                           |
| [`webflow_content_create_asset_folder`](#webflow_content_create_asset_folder)                       | Create Asset Folder                    |
| [`webflow_content_delete_asset`](#webflow_content_delete_asset)                                     | Delete Asset                           |
| [`webflow_content_delete_form_submission`](#webflow_content_delete_form_submission)                 | Delete Form Submission                 |
| [`webflow_content_delete_form_submission_by_site`](#webflow_content_delete_form_submission_by_site) | Delete Form Submission by Site         |
| [`webflow_content_delete_page_custom_code`](#webflow_content_delete_page_custom_code)               | Delete custom code from a page         |
| [`webflow_content_delete_site_custom_code`](#webflow_content_delete_site_custom_code)               | Delete custom code from a site         |
| [`webflow_content_get_asset`](#webflow_content_get_asset)                                           | Get Asset                              |
| [`webflow_content_get_asset_folder`](#webflow_content_get_asset_folder)                             | Get Asset Folder                       |
| [`webflow_content_get_component_content`](#webflow_content_get_component_content)                   | Get Component Content                  |
| [`webflow_content_get_component_properties`](#webflow_content_get_component_properties)             | Get Component Properties               |
| [`webflow_content_get_form_schema`](#webflow_content_get_form_schema)                               | Get Form Schema                        |
| [`webflow_content_get_form_submission`](#webflow_content_get_form_submission)                       | Get Form Submission                    |
| [`webflow_content_get_form_submission_by_site`](#webflow_content_get_form_submission_by_site)       | Get Form Submission by Site            |
| [`webflow_content_get_page_custom_code`](#webflow_content_get_page_custom_code)                     | Get custom code for a page             |
| [`webflow_content_get_page_metadata`](#webflow_content_get_page_metadata)                           | Get Page Metadata                      |
| [`webflow_content_get_scripts`](#webflow_content_get_scripts)                                       | Get Registered Scripts                 |
| [`webflow_content_get_site_custom_code`](#webflow_content_get_site_custom_code)                     | Get custom code for a site             |
| [`webflow_content_get_site_custom_code_blocks`](#webflow_content_get_site_custom_code_blocks)       | List Custom Code Blocks                |
| [`webflow_content_get_static_content`](#webflow_content_get_static_content)                         | Get Page Content                       |
| [`webflow_content_list_asset_folders`](#webflow_content_list_asset_folders)                         | List Asset Folders                     |
| [`webflow_content_list_assets`](#webflow_content_list_assets)                                       | List Assets                            |
| [`webflow_content_list_components`](#webflow_content_list_components)                               | List Components                        |
| [`webflow_content_list_forms`](#webflow_content_list_forms)                                         | List Forms                             |
| [`webflow_content_list_pages`](#webflow_content_list_pages)                                         | List Pages                             |
| [`webflow_content_list_submissions`](#webflow_content_list_submissions)                             | List form submissions by form          |
| [`webflow_content_list_submissions_2`](#webflow_content_list_submissions_2)                         | List form submissions by site and form |
| [`webflow_content_list_submissions_by_site`](#webflow_content_list_submissions_by_site)             | List Form Submissions by Site          |
| [`webflow_content_modify_form_submission`](#webflow_content_modify_form_submission)                 | Modify Form Submission                 |
| [`webflow_content_modify_form_submission_by_site`](#webflow_content_modify_form_submission_by_site) | Modify Form Submission by Site         |
| [`webflow_content_patch_asset`](#webflow_content_patch_asset)                                       | Update Asset                           |
| [`webflow_content_post_hosted_script`](#webflow_content_post_hosted_script)                         | Register Script - Hosted               |
| [`webflow_content_post_inline_scripts`](#webflow_content_post_inline_scripts)                       | Register Script - Inline               |
| [`webflow_content_update_component_content`](#webflow_content_update_component_content)             | Update Component Content               |
| [`webflow_content_update_component_properties`](#webflow_content_update_component_properties)       | Update Component Properties            |
| [`webflow_content_update_page_settings`](#webflow_content_update_page_settings)                     | Update Page Metadata                   |
| [`webflow_content_update_static_content`](#webflow_content_update_static_content)                   | Update Page Content                    |

***

## webflow\_content\_add\_custom\_code\_to\_page

Add or update custom code on a page

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                    |
| ------------- | --------- | -------- | ------- | ---------------------------------------------- |
| `page_id`     | string    | Yes      | —       | Unique identifier for a Page                   |
| `createdOn`   | string    | No       | —       | Date when the Site's scripts were created      |
| `lastUpdated` | string    | No       | —       | Date when the Site's scripts were last updated |
| `scripts`     | object\[] | No       | —       | A list of scripts applied to a Site or a Page  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_id": {
        "type": "string",
        "description": "Unique identifier for a Page"
      },
      "createdOn": {
        "type": "string",
        "description": "Date when the Site's scripts were created"
      },
      "lastUpdated": {
        "type": "string",
        "description": "Date when the Site's scripts were last updated"
      },
      "scripts": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "objectId",
              "description": "ID of the registered custom code script"
            },
            "location": {
              "type": "string",
              "enum": [
                "header",
                "footer"
              ],
              "description": "Location of the script, either in the header or footer of the published site"
            },
            "version": {
              "type": "string",
              "description": "Semantic Version String for the registered script *e.g. 0.0.1*"
            },
            "attributes": {
              "type": "object",
              "description": "Developer-specified key/value pairs to be applied as attributes to the script"
            }
          },
          "required": [
            "id",
            "version",
            "location"
          ]
        },
        "description": "A list of scripts applied to a Site or a Page"
      }
    },
    "required": [
      "PCID",
      "page_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_add\_custom\_code\_tosite

Add or update custom code on a site

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                    |
| ------------- | --------- | -------- | ------- | ---------------------------------------------- |
| `site_id`     | string    | Yes      | —       | Unique identifier for a Site                   |
| `createdOn`   | string    | No       | —       | Date when the Site's scripts were created      |
| `lastUpdated` | string    | No       | —       | Date when the Site's scripts were last updated |
| `scripts`     | object\[] | No       | —       | A list of scripts applied to a Site or a Page  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "createdOn": {
        "type": "string",
        "description": "Date when the Site's scripts were created"
      },
      "lastUpdated": {
        "type": "string",
        "description": "Date when the Site's scripts were last updated"
      },
      "scripts": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "objectId",
              "description": "ID of the registered custom code script"
            },
            "location": {
              "type": "string",
              "enum": [
                "header",
                "footer"
              ],
              "description": "Location of the script, either in the header or footer of the published site"
            },
            "version": {
              "type": "string",
              "description": "Semantic Version String for the registered script *e.g. 0.0.1*"
            },
            "attributes": {
              "type": "object",
              "description": "Developer-specified key/value pairs to be applied as attributes to the script"
            }
          },
          "required": [
            "id",
            "version",
            "location"
          ]
        },
        "description": "A list of scripts applied to a Site or a Page"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_create\_asset

Upload Asset

**Parameters:**

| Parameter | Type   | Required | Default | Description                           |
| --------- | ------ | -------- | ------- | ------------------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site          |
| `body`    | object | Yes      | —       | Information about the asset to create |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "body": {
        "description": "Information about the asset to create"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_create\_asset\_folder

Create Asset Folder

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |
| `body`    | object | Yes      | —       | Request body                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_delete\_asset

Delete Asset

**Parameters:**

| Parameter  | Type   | Required | Default | Description                              |
| ---------- | ------ | -------- | ------- | ---------------------------------------- |
| `asset_id` | string | Yes      | —       | Unique identifier for an Asset on a site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "asset_id": {
        "type": "string",
        "description": "Unique identifier for an Asset on a site"
      }
    },
    "required": [
      "PCID",
      "asset_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_delete\_form\_submission

Delete Form Submission

**Parameters:**

| Parameter            | Type   | Required | Default | Description                             |
| -------------------- | ------ | -------- | ------- | --------------------------------------- |
| `form_submission_id` | string | Yes      | —       | Unique identifier for a Form Submission |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "form_submission_id": {
        "type": "string",
        "description": "Unique identifier for a Form Submission"
      }
    },
    "required": [
      "PCID",
      "form_submission_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_delete\_form\_submission\_by\_site

Delete Form Submission by Site

**Parameters:**

| Parameter            | Type   | Required | Default | Description                             |
| -------------------- | ------ | -------- | ------- | --------------------------------------- |
| `site_id`            | string | Yes      | —       | Unique identifier for a Site            |
| `form_submission_id` | string | Yes      | —       | Unique identifier for a Form Submission |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "form_submission_id": {
        "type": "string",
        "description": "Unique identifier for a Form Submission"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "form_submission_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_delete\_page\_custom\_code

Delete custom code from a page

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `page_id` | string | Yes      | —       | Unique identifier for a Page |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_id": {
        "type": "string",
        "description": "Unique identifier for a Page"
      }
    },
    "required": [
      "PCID",
      "page_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_delete\_site\_custom\_code

Delete custom code from a site

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_asset

Get Asset

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                              |
| ---------- | ------ | -------- | ------- | ------------------------------------------------------------------------ |
| `asset_id` | string | Yes      | —       | Unique identifier for an Asset on a site                                 |
| `localeId` | string | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "asset_id": {
        "type": "string",
        "description": "Unique identifier for an Asset on a site"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      }
    },
    "required": [
      "PCID",
      "asset_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_asset\_folder

Get Asset Folder

**Parameters:**

| Parameter         | Type   | Required | Default | Description                           |
| ----------------- | ------ | -------- | ------- | ------------------------------------- |
| `asset_folder_id` | string | Yes      | —       | Unique identifier for an Asset Folder |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "asset_folder_id": {
        "type": "string",
        "description": "Unique identifier for an Asset Folder"
      }
    },
    "required": [
      "PCID",
      "asset_folder_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_component\_content

Get Component Content

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                              |
| -------------- | ------- | -------- | ------- | ------------------------------------------------------------------------ |
| `site_id`      | string  | Yes      | —       | Unique identifier for a Site                                             |
| `component_id` | string  | Yes      | —       | Unique identifier for a Component                                        |
| `localeId`     | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |
| `branchId`     | string  | No       | —       | Scope the operation to work on a specific branch.                        |
| `limit`        | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                |
| `offset`       | integer | No       | —       | Offset used for pagination if the results have more than limit records   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "component_id": {
        "type": "string",
        "description": "Unique identifier for a Component"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "branchId": {
        "type": "string",
        "description": "Scope the operation to work on a specific branch."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "component_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_component\_properties

Get Component Properties

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                              |
| -------------- | ------- | -------- | ------- | ------------------------------------------------------------------------ |
| `site_id`      | string  | Yes      | —       | Unique identifier for a Site                                             |
| `component_id` | string  | Yes      | —       | Unique identifier for a Component                                        |
| `localeId`     | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |
| `branchId`     | string  | No       | —       | Scope the operation to work on a specific branch.                        |
| `limit`        | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                |
| `offset`       | integer | No       | —       | Offset used for pagination if the results have more than limit records   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "component_id": {
        "type": "string",
        "description": "Unique identifier for a Component"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "branchId": {
        "type": "string",
        "description": "Scope the operation to work on a specific branch."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "component_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_form\_schema

Get Form Schema

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `form_id` | string | Yes      | —       | Unique identifier for a Form |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "form_id": {
        "type": "string",
        "description": "Unique identifier for a Form"
      }
    },
    "required": [
      "PCID",
      "form_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_form\_submission

Get Form Submission

**Parameters:**

| Parameter            | Type   | Required | Default | Description                             |
| -------------------- | ------ | -------- | ------- | --------------------------------------- |
| `form_submission_id` | string | Yes      | —       | Unique identifier for a Form Submission |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "form_submission_id": {
        "type": "string",
        "description": "Unique identifier for a Form Submission"
      }
    },
    "required": [
      "PCID",
      "form_submission_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_form\_submission\_by\_site

Get Form Submission by Site

**Parameters:**

| Parameter            | Type   | Required | Default | Description                             |
| -------------------- | ------ | -------- | ------- | --------------------------------------- |
| `site_id`            | string | Yes      | —       | Unique identifier for a Site            |
| `form_submission_id` | string | Yes      | —       | Unique identifier for a Form Submission |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "form_submission_id": {
        "type": "string",
        "description": "Unique identifier for a Form Submission"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "form_submission_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_page\_custom\_code

Get custom code for a page

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `page_id` | string | Yes      | —       | Unique identifier for a Page |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_id": {
        "type": "string",
        "description": "Unique identifier for a Page"
      }
    },
    "required": [
      "PCID",
      "page_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_page\_metadata

Get Page Metadata

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                              |
| ---------- | ------ | -------- | ------- | ------------------------------------------------------------------------ |
| `page_id`  | string | Yes      | —       | Unique identifier for a Page                                             |
| `localeId` | string | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_id": {
        "type": "string",
        "description": "Unique identifier for a Page"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      }
    },
    "required": [
      "PCID",
      "page_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_scripts

Get Registered Scripts

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_site\_custom\_code

Get custom code for a site

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_site\_custom\_code\_blocks

List Custom Code Blocks

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                            |
| --------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `site_id` | string  | Yes      | —       | Unique identifier for a Site                                           |
| `offset`  | integer | No       | —       | Offset used for pagination if the results have more than limit records |
| `limit`   | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_get\_static\_content

Get Page Content

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                                              |
| ---------- | ------- | -------- | ------- | ------------------------------------------------------------------------ |
| `page_id`  | string  | Yes      | —       | Unique identifier for a Page                                             |
| `localeId` | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |
| `limit`    | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                |
| `offset`   | integer | No       | —       | Offset used for pagination if the results have more than limit records   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_id": {
        "type": "string",
        "description": "Unique identifier for a Page"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      }
    },
    "required": [
      "PCID",
      "page_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_asset\_folders

List Asset Folders

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_assets

List Assets

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                                              |
| ---------- | ------- | -------- | ------- | ------------------------------------------------------------------------ |
| `site_id`  | string  | Yes      | —       | Unique identifier for a Site                                             |
| `localeId` | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |
| `offset`   | integer | No       | —       | Offset used for pagination if the results have more than limit records   |
| `limit`    | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_components

List Components

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                                            |
| ---------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `site_id`  | string  | Yes      | —       | Unique identifier for a Site                                           |
| `branchId` | string  | No       | —       | Scope the operation to work on a specific branch.                      |
| `limit`    | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |
| `offset`   | integer | No       | —       | Offset used for pagination if the results have more than limit records |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "branchId": {
        "type": "string",
        "description": "Scope the operation to work on a specific branch."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_forms

List Forms

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                            |
| --------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `site_id` | string  | Yes      | —       | Unique identifier for a Site                                           |
| `limit`   | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |
| `offset`  | integer | No       | —       | Offset used for pagination if the results have more than limit records |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_pages

List Pages

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                                              |
| ---------- | ------- | -------- | ------- | ------------------------------------------------------------------------ |
| `site_id`  | string  | Yes      | —       | Unique identifier for a Site                                             |
| `localeId` | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |
| `limit`    | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                |
| `offset`   | integer | No       | —       | Offset used for pagination if the results have more than limit records   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_submissions

List form submissions by form

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                            |
| --------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `form_id` | string  | Yes      | —       | Unique identifier for a Form                                           |
| `offset`  | integer | No       | —       | Offset used for pagination if the results have more than limit records |
| `limit`   | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "form_id": {
        "type": "string",
        "description": "Unique identifier for a Form"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      }
    },
    "required": [
      "PCID",
      "form_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_submissions\_2

List form submissions by site and form

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                            |
| --------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `site_id` | string  | Yes      | —       | Unique identifier for a Site                                           |
| `form_id` | string  | Yes      | —       | Unique identifier for a Form                                           |
| `offset`  | integer | No       | —       | Offset used for pagination if the results have more than limit records |
| `limit`   | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "form_id": {
        "type": "string",
        "description": "Unique identifier for a Form"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "form_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_list\_submissions\_by\_site

List Form Submissions by Site

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                            |
| ----------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `site_id`   | string  | Yes      | —       | Unique identifier for a Site                                           |
| `elementId` | string  | No       | —       | Identifier for an element                                              |
| `offset`    | integer | No       | —       | Offset used for pagination if the results have more than limit records |
| `limit`     | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "elementId": {
        "type": "string",
        "description": "Identifier for an element"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_modify\_form\_submission

Modify Form Submission

**Parameters:**

| Parameter            | Type   | Required | Default | Description                             |
| -------------------- | ------ | -------- | ------- | --------------------------------------- |
| `form_submission_id` | string | Yes      | —       | Unique identifier for a Form Submission |
| `body`               | object | Yes      | —       | Request body                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "form_submission_id": {
        "type": "string",
        "description": "Unique identifier for a Form Submission"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "form_submission_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_modify\_form\_submission\_by\_site

Modify Form Submission by Site

**Parameters:**

| Parameter            | Type   | Required | Default | Description                             |
| -------------------- | ------ | -------- | ------- | --------------------------------------- |
| `site_id`            | string | Yes      | —       | Unique identifier for a Site            |
| `form_submission_id` | string | Yes      | —       | Unique identifier for a Form Submission |
| `body`               | object | Yes      | —       | Request body                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "form_submission_id": {
        "type": "string",
        "description": "Unique identifier for a Form Submission"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "form_submission_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_patch\_asset

Update Asset

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                              |
| ---------- | ------ | -------- | ------- | ------------------------------------------------------------------------ |
| `asset_id` | string | Yes      | —       | Unique identifier for an Asset on a site                                 |
| `localeId` | string | No       | —       | Unique identifier for a specific Locale.  Learn more about localization. |
| `body`     | object | Yes      | —       | Information about the asset to update                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "asset_id": {
        "type": "string",
        "description": "Unique identifier for an Asset on a site"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "body": {
        "description": "Information about the asset to update"
      }
    },
    "required": [
      "PCID",
      "asset_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_post\_hosted\_script

Register Script - Hosted

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |
| `body`    | object | No       | —       | A registered external script |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "body": {
        "description": "A registered external script"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_post\_inline\_scripts

Register Script - Inline

**Parameters:**

| Parameter | Type   | Required | Default | Description                                 |
| --------- | ------ | -------- | ------- | ------------------------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site                |
| `body`    | object | No       | —       | A registered inline (Webflow-hosted) script |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "body": {
        "description": "A registered inline (Webflow-hosted) script"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_update\_component\_content

Update Component Content

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                               |
| -------------- | --------- | -------- | ------- | ------------------------------------------------------------------------- |
| `site_id`      | string    | Yes      | —       | Unique identifier for a Site                                              |
| `component_id` | string    | Yes      | —       | Unique identifier for a Component                                         |
| `localeId`     | string    | No       | —       | Unique identifier for a specific Locale.  Learn more about localization.  |
| `branchId`     | string    | No       | —       | Scope the operation to work on a specific branch.                         |
| `nodes`        | object\[] | Yes      | —       | List of DOM Nodes with the new content that will be updated in each node. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "component_id": {
        "type": "string",
        "description": "Unique identifier for a Component"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "branchId": {
        "type": "string",
        "description": "Scope the operation to work on a specific branch."
      },
      "nodes": {
        "type": "array",
        "items": {
          "type": "object"
        },
        "description": "List of DOM Nodes with the new content that will be updated in each node."
      }
    },
    "required": [
      "PCID",
      "site_id",
      "component_id",
      "nodes"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_update\_component\_properties

Update Component Properties

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                                     |
| -------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------- |
| `site_id`      | string    | Yes      | —       | Unique identifier for a Site                                                    |
| `component_id` | string    | Yes      | —       | Unique identifier for a Component                                               |
| `localeId`     | string    | No       | —       | Unique identifier for a specific Locale.  Learn more about localization.        |
| `branchId`     | string    | No       | —       | Scope the operation to work on a specific branch.                               |
| `properties`   | object\[] | Yes      | —       | A list of component properties to update within the specified secondary locale. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "component_id": {
        "type": "string",
        "description": "Unique identifier for a Component"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "branchId": {
        "type": "string",
        "description": "Scope the operation to work on a specific branch."
      },
      "properties": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "propertyId": {
              "type": "string",
              "description": "The ID of the property."
            },
            "text": {
              "type": "string",
              "description": "The new string or HTML value used to update the component property in the secondary locale.  The provided value must be compatible with the type of the component property.  For example, attempting to update a single-line plain-text property with a multi-line value will result in an error."
            }
          },
          "required": [
            "propertyId",
            "text"
          ]
        },
        "description": "A list of component properties to update within the specified secondary locale."
      }
    },
    "required": [
      "PCID",
      "site_id",
      "component_id",
      "properties"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_update\_page\_settings

Update Page Metadata

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                                                                                                                                                                                                                       |
| ----------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `page_id`   | string | Yes      | —       | Unique identifier for a Page                                                                                                                                                                                                                      |
| `localeId`  | string | No       | —       | Unique identifier for a specific Locale.  Learn more about localization.                                                                                                                                                                          |
| `openGraph` | object | No       | —       | Open Graph fields for the Page                                                                                                                                                                                                                    |
| `seo`       | object | No       | —       | SEO-related fields for the Page                                                                                                                                                                                                                   |
| `slug`      | string | No       | —       | Slug for the page.   **Note:** Updating slugs in secondary locales is only supported in \<a href="[https://webflow.com/localization"\&gt;Advanced](https://webflow.com/localization"\&gt;Advanced) and Enterprise localization add-on plans.\</a> |
| `title`     | string | No       | —       | Title for the page                                                                                                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_id": {
        "type": "string",
        "description": "Unique identifier for a Page"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "openGraph": {
        "type": "object",
        "description": "Open Graph fields for the Page",
        "properties": {
          "title": {
            "type": "string",
            "description": "The title supplied to Open Graph annotations"
          },
          "titleCopied": {
            "type": "boolean",
            "description": "Indicates the Open Graph title was copied from the SEO title"
          },
          "description": {
            "type": "string",
            "description": "The description supplied to Open Graph annotations"
          },
          "descriptionCopied": {
            "type": "boolean",
            "description": "Indicates the Open Graph description was copied from the SEO description"
          }
        }
      },
      "seo": {
        "type": "object",
        "description": "SEO-related fields for the Page",
        "properties": {
          "title": {
            "type": "string",
            "description": "The Page title shown in search engine results"
          },
          "description": {
            "type": "string",
            "description": "The Page description shown in search engine results"
          }
        }
      },
      "slug": {
        "type": "string",
        "description": "Slug for the page.   **Note:** Updating slugs in secondary locales is only supported in <a href=\"https://webflow.com/localization\">Advanced and Enterprise localization add-on plans.</a>"
      },
      "title": {
        "type": "string",
        "description": "Title for the page"
      }
    },
    "required": [
      "PCID",
      "page_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_content\_update\_static\_content

Update Page Content

**Parameters:**

| Parameter  | Type      | Required | Default | Description                                                               |
| ---------- | --------- | -------- | ------- | ------------------------------------------------------------------------- |
| `page_id`  | string    | Yes      | —       | Unique identifier for a Page                                              |
| `localeId` | string    | Yes      | —       | The locale identifier.                                                    |
| `nodes`    | object\[] | Yes      | —       | List of DOM Nodes with the new content that will be updated in each node. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_id": {
        "type": "string",
        "description": "Unique identifier for a Page"
      },
      "localeId": {
        "type": "string",
        "description": "The locale identifier."
      },
      "nodes": {
        "type": "array",
        "items": {
          "type": "object"
        },
        "description": "List of DOM Nodes with the new content that will be updated in each node."
      }
    },
    "required": [
      "PCID",
      "page_id",
      "localeId",
      "nodes"
    ]
  }
  ```
</Expandable>
